package org.sikuli.webdriver.examples;

import java.io.IOException;
import java.net.URL;

import org.openqa.selenium.By;
import org.openqa.selenium.Keys;
import org.openqa.selenium.WebElement;
import org.sikuli.webdriver.ImageElement;
import org.sikuli.webdriver.SikuliFirefoxDriver;

public class GoogleMapExample {
	
	public static void main(String[] args) throws IOException {
		
		SikuliFirefoxDriver driver = new SikuliFirefoxDriver();		
		
		// visit Google Map
		driver.get("https://maps.google.com/");
		
		// enter "Denver, CO" as search terms
		WebElement input = driver.findElement(By.id("gbqfq"));
		input.sendKeys("Denver, CO");		
		input.sendKeys(Keys.ENTER);

		ImageElement image;
		
		// find and click on the image of the lakewood area
		image = driver.findImageElement(new URL("https://dl.dropbox.com/u/5104407/lakewood.png"));
		image.doubleClick()	;		
		
		// find and click on the image of the kendrick lake area
		image = driver.findImageElement(new URL("https://dl.dropbox.com/u/5104407/kendrick_lake.png"));
		image.doubleClick();

		// find and click the Satellite icon to switch to the satellite view
		image = driver.findImageElement(new URL("https://dl.dropbox.com/u/5104407/satellite.png"));		
		image.click();

		// find and click the plus button to zoom in
		image = driver.findImageElement(new URL("https://dl.dropbox.com/u/5104407/plus.png"));
		image.click();
		
		// find and click the link button
		WebElement linkButton = driver.findElement(By.id("link"));
		linkButton.click();
				
	}

}
